Bug 1169925 - Review Request: nodejs-esprima-harmony-jscs - ECMAScript parsing infrastructure for multipurpose analysis
Summary: Review Request: nodejs-esprima-harmony-jscs - ECMAScript parsing infrastructu...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1115680
TreeView+ depends on / blocked
 
Reported: 2014-12-02 18:15 UTC by Ralph Bean
Modified: 2015-03-08 22:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 14:40:39 UTC
Type: ---
piotr1212: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-12-02 18:15:17 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-esprima-harmony-jscs.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-esprima-harmony-jscs-1.1.0-0.1.dev.fc20.src.rpm

Description:
Esprima is a high performance, standard-compliant ECMAScript parser written in
ECMAScript (also popularly known as JavaScript). Esprima is created and
maintained by Ariya Hidayat with the help of many contributors.

Comment 1 Ralph Bean 2014-12-02 18:15:19 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=8278792

Comment 2 Piotr Popieluch 2014-12-30 18:27:18 UTC
Issues:
1. Please install binaries in %{nodejs_sitelib}/package/bin and symlink in %{_bindir}. binaries give module not found error now.
2. remove or comment %nodejs_symlink_deps --build, this gives warnings when running tests
 

should items:
%global barename esprima-harmony-jscs is never used, please remove
query upstream to include license in package
enable tests (many missing deps..)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 1 files have unknown license.
     Detailed output of licensecheck in /home/piotr/rpmbuild/1169925-nodejs-
     esprima-harmony-jscs/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-esprima-harmony-jscs-1.1.0-0.1.dev.fc22.noarch.rpm
          nodejs-esprima-harmony-jscs-1.1.0-0.1.dev.fc22.src.rpm
nodejs-esprima-harmony-jscs.noarch: W: only-non-binary-in-usr-lib
nodejs-esprima-harmony-jscs.noarch: W: no-manual-page-for-binary esvalidate
nodejs-esprima-harmony-jscs.noarch: W: no-manual-page-for-binary esparse
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@pontifex /]# rpmlint nodejs-esprima-harmony-jscs
nodejs-esprima-harmony-jscs.noarch: W: only-non-binary-in-usr-lib
nodejs-esprima-harmony-jscs.noarch: W: no-manual-page-for-binary esvalidate
nodejs-esprima-harmony-jscs.noarch: W: no-manual-page-for-binary esparse
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
]0;<mock-chroot><mock-chroot>[root@pontifex /]# echo 'rpmlint-done:'



Requires
--------
nodejs-esprima-harmony-jscs (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)



Provides
--------
nodejs-esprima-harmony-jscs:
    nodejs-esprima-harmony-jscs
    npm(esprima-harmony-jscs)



Source checksums
----------------
http://registry.npmjs.org/esprima-harmony-jscs/-/esprima-harmony-jscs-1.1.0-dev-harmony.tgz :
  CHECKSUM(SHA256) this package     : 7847dae3bb357581a70cb24110c73f90ecd00e754b14aa3764a6381bb61ab52d
  CHECKSUM(SHA256) upstream package : 7847dae3bb357581a70cb24110c73f90ecd00e754b14aa3764a6381bb61ab52d


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1169925
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Ralph Bean 2015-02-11 19:42:59 UTC
Thanks for the review Piotr.  Here is a new release that addresses the items you raised:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-esprima-harmony-jscs.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.fc21.src.rpm

Comment 4 Piotr Popieluch 2015-02-14 20:55:53 UTC
Looks good, Approved

I've requested upstream to include the license in the npm package:

https://github.com/jscs-dev/esprima-harmony/issues/2

Comment 5 Ralph Bean 2015-02-15 03:15:55 UTC
Thanks for that Piotr.  :)


New Package SCM Request
=======================
Package Name: nodejs-esprima-harmony-jscs
Short Description: ECMAScript parsing infrastructure for multipurpose analysis
Upstream URL: https://npmjs.org/package/esprima-harmony-jscs
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 6 Gwyn Ciesla 2015-02-16 14:21:50 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-02-16 18:39:47 UTC
nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.fc21

Comment 8 Fedora Update System 2015-02-16 18:41:00 UTC
nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.fc20

Comment 9 Fedora Update System 2015-02-16 18:41:13 UTC
nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.el7

Comment 10 Fedora Update System 2015-03-05 12:37:00 UTC
nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-03-05 12:37:04 UTC
nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-03-08 22:44:42 UTC
nodejs-esprima-harmony-jscs-1.1.0-0.2.dev.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.